Bug 1275431 - Rubbish-bin applet causes cinnamon to crash
Rubbish-bin applet causes cinnamon to crash
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
23
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 17:46 EDT by fra.carbone8
Modified: 2016-12-20 10:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:10:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description fra.carbone8 2015-10-26 17:46:12 EDT
Description of problem:
Cinnamon completely crashes when trying to empty the bin using the panel applet.
It does not happen all the time but quite often.
I've been using the beta for two weeks (as main OS) and it happens 4-5 times a day.

Version-Release number of selected component (if applicable):

cinnamon-2.6.13-10.fc23.x86_64

How reproducible:

Add the "Rubbish bin" applet to the panel and select "Empty rubbish bin"


Steps to Reproduce:
1. click on the applet "Rubbish Bin" in the panel
2. select "Empty rubbish bin"
3. select "Yes" when prompted

Actual results:

An error appears saying that cinnamon has crashed (no codes or other info). Cinnamon completely disappear and after 3-4 seconds a screen asks if you want to restart cinnamon.
After "yes" is selected, cinnamon restarts and everything works fine.

Expected results:

The bin is emptied without errors/crashes.

Additional info:

It does not happen all the time
Comment 1 leigh scott 2015-10-26 18:51:40 EDT
If you want it fixed you can report it upstream as you probably wouldn't like my solution (delete the trash applet during the rpmbuild as I consider it worthless).

https://github.com/linuxmint/Cinnamon/issues
Comment 2 fra.carbone8 2015-10-27 06:26:29 EDT
thank you, I created a request there too.

https://github.com/linuxmint/Cinnamon/issues/4753
Comment 4 Fedora End Of Life 2016-11-24 07:55:57 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 10:10:42 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.